Version Control
API usage instructions for listing version control profiles and fetching repositories.
GET List Version Control Profiles
/api/v1/vc-profiles To list all version control profiles, send a GET request to /api/v1/vc-profiles.
curl https://app.cleavr.io/api/v1/vc-profiles \
-H "Authorization: Bearer cleavr_YOUR_TOKEN"
GET Retrieve an Existing Version Control Profile
/api/v1/vc-profiles/PROFILE_UUID To retrieve information about an existing version control profile, send a GET request to /api/v1/vc-profiles/PROFILE_UUID.
curl https://app.cleavr.io/api/v1/vc-profiles/PROFILE_UUID \
-H "Authorization: Bearer cleavr_YOUR_TOKEN"
GET Fetch Repos for a Version Control Profile
/api/v1/vc-profiles/PROFILE_UUID/repos To retrieve the repository list associated with a version control profile, send a GET request to /api/v1/vc-profiles/PROFILE_UUID/repos.
curl https://app.cleavr.io/api/v1/vc-profiles/PROFILE_UUID/repos \
-H "Authorization: Bearer cleavr_YOUR_TOKEN"
GET Fetch a Repo for a Version Control Profile
/api/v1/vc-profiles/PROFILE_UUID/repos/REPO_NAME To retrieve a single repository, send a GET request to /api/v1/vc-profiles/PROFILE_UUID/repos/REPO_NAME. URL-encode the repo name from the list endpoint (owner%2Frepo). Returns default_branch and branches.
curl https://app.cleavr.io/api/v1/vc-profiles/PROFILE_UUID/repos/owner%2Frepo \
-H "Authorization: Bearer cleavr_YOUR_TOKEN"